indexing

	description:

		"Shared formatters"

	library: "Gobo Eiffel String Library"
	copyright: "Copyright (c) 2004, Berend de Boer and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2005/05/08 19:06:21 $"
	revision: "$Revision: 1.1 $"

class ST_SHARED_FORMATTERS

feature -- Access

	formatter: ST_SCIENTIFIC_FORMATTER is
			-- Shared scientific formatter
		once
			Result := scientific_formatter
		ensure
			formatter_not_void: Result /= Void
		end

	scientific_formatter: ST_SCIENTIFIC_FORMATTER is
			-- Shared scientific formatter
		once
			create Result.make
		ensure
			scientific_formatter_not_void: Result /= Void
		end

end
