indexing

	description: 
		"Type of predefined cursors."
	legal: "See notice at end of class."
	status: "See notice at end of class.";
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $";
	revision: "$Revision $"

class MEL_CURSOR_TYPE

feature -- Access

	XC_num_glyphs: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_num_glyphs"
		end;

	XC_X_cursor: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_X_cursor"
		end;

	XC_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_arrow"
		end;

	XC_based_arrow_down: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_based_arrow_down"
		end;

	XC_based_arrow_up: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_based_arrow_up"
		end;

	XC_boat: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_boat"
		end;

	XC_bogosity: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_bogosity"
		end;

	XC_bottom_left_corner: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_bottom_left_corner"
		end;

	XC_bottom_right_corner: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_bottom_right_corner"
		end;

	XC_bottom_side: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_bottom_side"
		end;

	XC_bottom_tee: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_bottom_tee"
		end;

	XC_box_spiral: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_box_spiral"
		end;

	XC_center_ptr: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_center_ptr"
		end;

	XC_circle: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_circle"
		end;

	XC_clock: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_clock"
		end;

	XC_coffee_mug: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_coffee_mug"
		end;

	XC_cross: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_cross"
		end;

	XC_cross_reverse: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_cross_reverse"
		end;

	XC_crosshair: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_crosshair"
		end;

	XC_diamond_cross: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_diamond_cross"
		end;

	XC_dot: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_dot"
		end;

	XC_dotbox: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_dotbox"
		end;

	XC_double_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_double_arrow"
		end;

	XC_draft_large: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_draft_large"
		end;

	XC_draft_small: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_draft_small"
		end;

	XC_draped_box: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_draped_box"
		end;

	XC_exchange: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_exchange"
		end;

	XC_fleur: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_fleur"
		end;

	XC_gobbler: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_gobbler"
		end;

	XC_gumby: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_gumby"
		end;

	XC_hand1: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_hand1"
		end;

	XC_hand2: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_hand2"
		end;

	XC_heart: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_heart"
		end;

	XC_icon: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_icon"
		end;

	XC_iron_cross: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_iron_cross"
		end;

	XC_left_ptr: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_left_ptr"
		end;

	XC_left_side: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_left_side"
		end;

	XC_left_tee: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_left_tee"
		end;

	XC_leftbutton: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_leftbutton"
		end;

	XC_ll_angle: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_ll_angle"
		end;

	XC_lr_angle: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_lr_angle"
		end;

	XC_man: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_man"
		end;

	XC_middlebutton: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_middlebutton"
		end;

	XC_mouse: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_mouse"
		end;

	XC_pencil: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_pencil"
		end;

	XC_pirate: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_pirate"
		end;

	XC_plus: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_plus"
		end;

	XC_question_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_question_arrow"
		end;

	XC_right_ptr: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_right_ptr"
		end;

	XC_right_side: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_right_side"
		end;

	XC_right_tee: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_right_tee"
		end;

	XC_rightbutton: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_rightbutton"
		end;

	XC_rtl_logo: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_rtl_logo"
		end;

	XC_sailboat: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sailboat"
		end;

	XC_sb_down_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sb_down_arrow"
		end;

	XC_sb_h_double_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sb_h_double_arrow"
		end;

	XC_sb_left_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sb_left_arrow"
		end;

	XC_sb_right_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sb_right_arrow"
		end;

	XC_sb_up_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sb_up_arrow"
		end;

	XC_sb_v_double_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sb_v_double_arrow"
		end;

	XC_shuttle: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_shuttle"
		end;

	XC_sizing: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_sizing"
		end;

	XC_spider: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_spider"
		end;

	XC_spraycan: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_spraycan"
		end;

	XC_star: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_star"
		end;

	XC_target: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_target"
		end;

	XC_tcross: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_tcross"
		end;

	XC_top_left_arrow: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_top_left_arrow"
		end;

	XC_top_left_corner: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_top_left_corner"
		end;

	XC_top_right_corner: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_top_right_corner"
		end;

	XC_top_side: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_top_side"
		end;

	XC_top_tee: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_top_tee"
		end;

	XC_trek: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_trek"
		end;

	XC_ul_angle: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_ul_angle"
		end;

	XC_umbrella: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_umbrella"
		end;

	XC_ur_angle: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_ur_angle"
		end;

	XC_watch: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_watch"
		end;

	XC_xterm: INTEGER is
		external
			"C [macro <X11/cursorfont.h>]: EIF_INTEGER"
		alias
			"XC_xterm"
		end;

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class MEL_CURSOR_TYPE

