indexing
	description: "Owner Draw State (ODS) constants."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $"
	revision: "$Revision: 56675 $"

class
	WEL_ODS_CONSTANTS

feature -- Access

	Ods_checked: INTEGER is 8
		-- Declared in Windows as ODS_CHECKED
	
	Ods_comboboxedit: INTEGER is 4096
		-- Declared in Windows as ODS_COMBOBOXEDIT
	
	Ods_default: INTEGER is 32
		-- Declared in Windows as ODS_DEFAULT
	
	Ods_disabled: INTEGER is 4
		-- Declared in Windows as ODS_DISABLED
	
	Ods_focus: INTEGER is 16
		-- Declared in Windows as ODS_FOCUS
	
	Ods_grayed: INTEGER is 2
		-- Declared in Windows as ODS_GRAYED
	
	Ods_hotlight: INTEGER is 64
		-- Declared in Windows as ODS_HOTLIGHT
	
	Ods_inactive: INTEGER is 128
		-- Declared in Windows as ODS_INACTIVE
	
	Ods_noaccel: INTEGER is 256
		-- Declared in Windows as ODS_NOACCEL
	
	Ods_nofocusrect: INTEGER is 512
		-- Declared in Windows as ODS_NOFOCUSRECT
	
	Ods_selected: INTEGER is 1;
		-- Declared in Windows as ODS_SELECTED
	
indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class WEL_ODS_CONSTANTS

