indexing

	description:

		"Eiffel preparsers"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2002, Eric Bezault and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2004/11/29 04:30:38 $"
	revision: "$Revision: 1.14 $"

class ET_EIFFEL_PREPARSER

inherit

	ET_EIFFEL_PREPARSER_SKELETON

creation

	make, make_with_factory

feature -- Status report

	valid_start_condition (sc: INTEGER): BOOLEAN is
			-- Is `sc' a valid start condition?
		do
			Result := (INITIAL <= sc and sc <= VS3)
		end

feature {NONE} -- Implementation

	yy_build_tables is
			-- Build scanner tables.
		do
			yy_nxt := yy_nxt_template
			yy_chk := yy_chk_template
			yy_base := yy_base_template
			yy_def := yy_def_template
			yy_ec := yy_ec_template
			yy_meta := yy_meta_template
			yy_accept := yy_accept_template
			yy_acclist := yy_acclist_template
		end

	yy_execute_action (yy_act: INTEGER) is
			-- Execute semantic action.
		do
if yy_act <= 60 then
if yy_act <= 30 then
if yy_act <= 15 then
if yy_act <= 8 then
if yy_act <= 4 then
if yy_act <= 2 then
if yy_act = 1 then
yy_set_line_column
--|#line 32 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 32")
end

			
else
	yy_column := yy_column + 1
--|#line 33 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 33")
end

			
end
else
if yy_act = 3 then
	yy_column := yy_column + 2
--|#line 34 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 34")
end

			
else
	yy_column := yy_column + 5
--|#line 39 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 39")
end

			
end
end
else
if yy_act <= 6 then
if yy_act = 5 then
	yy_column := yy_column + 5
--|#line 40 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 40")
end

			
else
	yy_column := yy_column + 3
--|#line 41 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 41")
end

			
end
else
if yy_act = 7 then
	yy_column := yy_column + 3
--|#line 42 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 42")
end

			
else
	yy_column := yy_column + 2
--|#line 43 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 43")
end

			
end
end
end
else
if yy_act <= 12 then
if yy_act <= 10 then
if yy_act = 9 then
	yy_column := yy_column + 5
--|#line 44 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 44")
end

			
else
	yy_column := yy_column + 8
--|#line 45 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 45")
end

			
end
else
if yy_act = 11 then
	yy_column := yy_column + 7
--|#line 46 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 46")
end

			
else
	yy_column := yy_column + 5
--|#line 47 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 47")
end

			
end
end
else
if yy_act <= 14 then
if yy_act = 13 then
	yy_column := yy_column + 8
--|#line 48 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 48")
end

			
else
	yy_column := yy_column + 2
--|#line 49 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 49")
end

			
end
else
	yy_column := yy_column + 4
--|#line 50 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 50")
end

			
end
end
end
else
if yy_act <= 23 then
if yy_act <= 19 then
if yy_act <= 17 then
if yy_act = 16 then
	yy_column := yy_column + 6
--|#line 51 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 51")
end

			
else
	yy_column := yy_column + 3
--|#line 52 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 52")
end

			
end
else
if yy_act = 18 then
	yy_column := yy_column + 6
--|#line 53 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 53")
end

			
else
	yy_column := yy_column + 8
--|#line 54 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 54")
end

			
end
end
else
if yy_act <= 21 then
if yy_act = 20 then
	yy_column := yy_column + 6
--|#line 55 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 55")
end

			
else
	yy_column := yy_column + 8
--|#line 56 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 56")
end

			
end
else
if yy_act = 22 then
	yy_column := yy_column + 5
--|#line 57 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 57")
end

			
else
	yy_column := yy_column + 7
--|#line 58 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 58")
end

			
end
end
end
else
if yy_act <= 27 then
if yy_act <= 25 then
if yy_act = 24 then
	yy_column := yy_column + 4
--|#line 59 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 59")
end

			
else
	yy_column := yy_column + 6
--|#line 60 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 60")
end

			
end
else
if yy_act = 26 then
	yy_column := yy_column + 2
--|#line 61 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 61")
end

			
else
	yy_column := yy_column + 7
--|#line 62 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 62")
end

			
end
end
else
if yy_act <= 29 then
if yy_act = 28 then
	yy_column := yy_column + 8
--|#line 63 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 63")
end

			
else
	yy_column := yy_column + 5
--|#line 64 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 64")
end

			
end
else
	yy_column := yy_column + 7
--|#line 65 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 65")
end

			
end
end
end
end
else
if yy_act <= 45 then
if yy_act <= 38 then
if yy_act <= 34 then
if yy_act <= 32 then
if yy_act = 31 then
	yy_column := yy_column + 7
--|#line 66 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 66")
end

			
else
	yy_column := yy_column + 9
--|#line 67 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 67")
end

			
end
else
if yy_act = 33 then
	yy_column := yy_column + 2
--|#line 68 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 68")
end

			
else
	yy_column := yy_column + 4
--|#line 69 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 69")
end

			
end
end
else
if yy_act <= 36 then
if yy_act = 35 then
	yy_column := yy_column + 5
--|#line 70 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 70")
end

			
else
	yy_column := yy_column + 4
--|#line 71 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 71")
end

			
end
else
if yy_act = 37 then
	yy_column := yy_column + 3
--|#line 72 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 72")
end

			
else
	yy_column := yy_column + 8
--|#line 73 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 73")
end

			
end
end
end
else
if yy_act <= 42 then
if yy_act <= 40 then
if yy_act = 39 then
	yy_column := yy_column + 3
--|#line 74 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 74")
end

			
else
	yy_column := yy_column + 4
--|#line 75 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 75")
end

			
end
else
if yy_act = 41 then
	yy_column := yy_column + 2
--|#line 76 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 76")
end

			
else
	yy_column := yy_column + 9
--|#line 77 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 77")
end

			
end
end
else
if yy_act <= 44 then
if yy_act = 43 then
	yy_column := yy_column + 6
--|#line 78 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 78")
end

			
else
	yy_column := yy_column + 8
--|#line 79 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 79")
end

			
end
else
	yy_column := yy_column + 6
--|#line 80 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 80")
end

			
end
end
end
else
if yy_act <= 53 then
if yy_act <= 49 then
if yy_act <= 47 then
if yy_act = 46 then
	yy_column := yy_column + 7
--|#line 81 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 81")
end

			
else
	yy_column := yy_column + 6
--|#line 82 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 82")
end

			
end
else
if yy_act = 48 then
	yy_column := yy_column + 6
--|#line 83 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 83")
end

			
else
	yy_column := yy_column + 5
--|#line 84 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 84")
end

			
end
end
else
if yy_act <= 51 then
if yy_act = 50 then
	yy_column := yy_column + 6
--|#line 85 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 85")
end

			
else
	yy_column := yy_column + 8
--|#line 86 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 86")
end

			
end
else
if yy_act = 52 then
	yy_column := yy_column + 5
--|#line 87 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 87")
end

			
else
	yy_column := yy_column + 4
--|#line 88 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 88")
end

			
end
end
end
else
if yy_act <= 57 then
if yy_act <= 55 then
if yy_act = 54 then
	yy_column := yy_column + 4
--|#line 89 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 89")
end

			
else
	yy_column := yy_column + 8
--|#line 90 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 90")
end

			
end
else
if yy_act = 56 then
	yy_column := yy_column + 6
--|#line 91 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 91")
end

			
else
	yy_column := yy_column + 5
--|#line 92 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 92")
end

			
end
end
else
if yy_act <= 59 then
if yy_act = 58 then
	yy_column := yy_column + 7
--|#line 93 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 93")
end

			
else
	yy_column := yy_column + 4
--|#line 94 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 94")
end

			
end
else
	yy_column := yy_column + 3
--|#line 95 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 95")
end

			
end
end
end
end
end
else
if yy_act <= 90 then
if yy_act <= 75 then
if yy_act <= 68 then
if yy_act <= 64 then
if yy_act <= 62 then
if yy_act = 61 then
	yy_column := yy_column + 5
--|#line 97 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 97")
end

				class_keyword_found := True
			
else
	yy_column := yy_column + 6
--|#line 100 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 100")
end

				if use_assign_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 6
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
end
else
if yy_act = 63 then
	yy_column := yy_column + 9
--|#line 112 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 112")
end

				if use_attribute_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 9
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
else
	yy_column := yy_column + 7
--|#line 124 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 124")
end

				if use_convert_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 7
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
end
end
else
if yy_act <= 66 then
if yy_act = 65 then
	yy_column := yy_column + 6
--|#line 136 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 136")
end

				if use_create_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 6
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
else
	yy_column := yy_column + 6
--|#line 148 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 148")
end

				if use_recast_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 6
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
end
else
if yy_act = 67 then
	yy_column := yy_column + 9
--|#line 160 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 160")
end

				if use_reference_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 9
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
else
	yy_column := yy_column + 4
--|#line 172 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 172")
end

				if use_void_keyword then
					-- Do nothing.
				elseif class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := 4
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
end
end
end
else
if yy_act <= 72 then
if yy_act <= 70 then
if yy_act = 69 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 188 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 188")
end

				if class_keyword_found then
					last_token := E_IDENTIFIER
					last_literal_start := 1
					last_literal_end := text_count
					last_break_end := 0
					last_comment_end := 0
					last_classname := ast_factory.new_identifier (Current)
				end
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 202 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 202")
end

			
end
else
if yy_act = 71 then
	yy_column := yy_column + 3
--|#line 211 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 211")
end

			
else
	yy_column := yy_column + 4
--|#line 212 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 212")
end

			
end
end
else
if yy_act <= 74 then
if yy_act = 73 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 213 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 213")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 216 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 216")
end

					-- Syntax error: missing character / at end
					-- of special character specification %/code/.
				column := column + text_count
				error_handler.report_SCAS_error (filename, current_position)
				column := column - text_count
				last_token := E_CHARERR
			
end
else
	yy_column := yy_column + 3
--|#line 224 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 224")
end

					-- Syntax error: missing ASCII code in
					-- special character specification %/code/.
				column := column + 3
				error_handler.report_SCAC_error (filename, current_position)
				column := column - 3
				last_token := E_CHARERR
			
end
end
end
else
if yy_act <= 83 then
if yy_act <= 79 then
if yy_act <= 77 then
if yy_act = 76 then
	yy_column := yy_column + 2
--|#line 232 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 232")
end

					-- Syntax error: missing character between quotes.
				column := column + 1
				error_handler.report_SCQQ_error (filename, current_position)
				column := column - 1
				last_token := E_CHARERR
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 239 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 239")
end

					-- Syntax error: missing quote at
					-- end of character constant.
				column := column + text_count
				error_handler.report_SCEQ_error (filename, current_position)
				column := column - text_count
				last_token := E_CHARERR
			
end
else
if yy_act = 78 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 251 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 251")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 254 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 254")
end

					-- Verbatim string.
				verbatim_marker := text_substring (2, text_count - 1)
				set_start_condition (VS1)
			
end
end
else
if yy_act <= 81 then
if yy_act = 80 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 262 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 262")
end

				last_literal_start := 1
				last_literal_end := 0
				set_start_condition (VS2)
			
else
	yy_column := yy_column + 1
--|#line 267 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 267")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
else
if yy_act = 82 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 281 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 281")
end

				if is_verbatim_string_closer (last_literal_end + 1, text_count - 1) then
					verbatim_marker := Void
					set_start_condition (INITIAL)
				else
					more
					set_start_condition (VS3)
				end
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 290 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 290")
end

				more
				set_start_condition (VS3)
			
end
end
end
else
if yy_act <= 87 then
if yy_act <= 85 then
if yy_act = 84 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 294 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 294")
end

				more
				last_literal_end := text_count - 2
			
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 298 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 298")
end

				more
				last_literal_end := text_count - 1
			
end
else
if yy_act = 86 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 302 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 302")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 316 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 316")
end

				more
				last_literal_end := text_count - 2
				set_start_condition (VS2)
			
end
end
else
if yy_act <= 89 then
if yy_act = 88 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 321 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 321")
end

				more
				last_literal_end := text_count - 1
				set_start_condition (VS2)
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 326 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 326")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 338 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 338")
end

					-- Manifest string with special characters.
			
end
end
end
end
else
if yy_act <= 105 then
if yy_act <= 98 then
if yy_act <= 94 then
if yy_act <= 92 then
if yy_act = 91 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 341 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 341")
end

					-- Manifest string with special characters which may be made
					-- up of several lines or may include invalid characters.
					-- Keep track of current line and column.
				ms_line := line
				ms_column := column
				more
				set_start_condition (MS)
			
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 352 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 352")
end

					-- Multi-line manifest string.
				more
				set_start_condition (MSN)
			
end
else
if yy_act = 93 then
	yy_end := yy_start + yy_more_len + 2
	yy_column := yy_column + 2
--|#line 357 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 357")
end

					-- Multi-line manifest string.

					-- Syntax error: no space allowed after character
					-- % at end of line in multi-line manifest strings.
				column := yy_column - 1
				line := yy_line
--				error_handler.report_SSNS_error (filename, current_position)
				column := ms_column
				line := ms_line

				more
				set_start_condition (MSN1)
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 371 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 371")
end

				more
			
end
end
else
if yy_act <= 96 then
if yy_act = 95 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 374 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 374")
end

					-- Syntax error: missing character / at end of special
					-- character specification %/code/ in manifest string.
				column := yy_column
				line := yy_line
--				error_handler.report_SSAS_error (filename, current_position)
				column := ms_column
				line := ms_line

				more
			
else
	yy_column := yy_column + 2
--|#line 385 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 385")
end

					-- Syntax error: missing ASCII code in special character
					-- specification %/code/ in manifest string.
				column := yy_column
				line := yy_line
--				error_handler.report_SSAC_error (filename, current_position)
				column := ms_column
				line := ms_line

				more
			
end
else
if yy_act = 97 then
	yy_column := yy_column + 2
--|#line 396 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 396")
end

					-- Syntax error: special character specification
					-- %l where l is a letter code should be in
					-- upper-case in manifest strings.
				column := yy_column - 1
				line := yy_line
--				error_handler.report_SSCU_error (filename, current_position)
				column := ms_column
				line := ms_line

				more
			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 408 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 408")
end

				more
			
end
end
end
else
if yy_act <= 102 then
if yy_act <= 100 then
if yy_act = 99 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 411 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 411")
end

				set_start_condition (INITIAL)
			
else
	yy_column := yy_column + 2
--|#line 414 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 414")
end

					-- Syntax error: Invalid special character
					-- in manifest strings.
				column := yy_column - 1
				line := yy_line
--				error_handler.report_SSSC_error (filename, current_position)
				column := ms_column
				line := ms_line

				more
			
end
else
if yy_act = 101 then
	yy_column := yy_column + 1
--|#line 425 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 425")
end

					-- Syntax error: invalid special character
					-- %l in manifest strings.
				column := yy_column
				line := yy_line
				error_handler.report_SSSC_error (filename, current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
else
	yy_line := yy_line + 1
	yy_column := 1
--|#line 437 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 437")
end

					-- Syntax error: Invalid new-line in manifest string.
				column := 1
				line := yy_line
				error_handler.report_SSNL_error (filename, current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
end
else
if yy_act <= 104 then
if yy_act = 103 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 463 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 463")
end

				more
				set_start_condition (MSN)
			
else
	yy_column := yy_column + 1
--|#line 467 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 467")
end

					-- Should never happen.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 480 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 480")
end

				more
				set_start_condition (MS)
			
end
end
end
else
if yy_act <= 113 then
if yy_act <= 109 then
if yy_act <= 107 then
if yy_act = 106 then
	yy_line := yy_line + 1
	yy_column := 1
--|#line 484 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 484")
end

					-- Syntax error: empty line in middle of
					-- multi-line manifest string.
				column := 1
				line := yy_line - 1
--				error_handler.report_SSEL_error (filename, current_position)
				column := ms_column
				line := ms_line

				more
			
else
	yy_column := yy_column + 1
--|#line 495 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 495")
end

					-- Syntax error: missing character % at beginning
					-- of line in multi-line manifest string.
				column := yy_column - 1
				line := yy_line
				error_handler.report_SSNP_error (filename, current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
end
else
if yy_act = 108 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 524 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 524")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 530 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 530")
end

			
end
end
else
if yy_act <= 111 then
if yy_act = 110 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 532 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 532")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 534 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 534")
end

					-- Syntax error: an underscore may not be
					-- the first character of an integer.
				error_handler.report_SIFU_error (filename, current_position)

				last_token := E_INTERR
			
end
else
if yy_act = 112 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 541 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 541")
end

					-- Syntax error: an underscore must be followed
					-- by three digits and there must not be any
					-- consecutive group of four digits.
				error_handler.report_SITD_error (filename, current_position)

				last_token := E_INTERR
			
else
	yy_end := yy_end - 1
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 553 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 553")
end

			
end
end
end
else
if yy_act <= 117 then
if yy_act <= 115 then
if yy_act = 114 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 554 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 554")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 555 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 555")
end

			
end
else
if yy_act = 116 then
	yy_end := yy_end - 1
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 557 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 557")
end

			
else
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 558 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 558")
end

			
end
end
else
if yy_act <= 119 then
if yy_act = 118 then
	yy_column := yy_column + yy_end - yy_start - yy_more_len
--|#line 559 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 559")
end

			
else
	yy_column := yy_column + 1
--|#line 569 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 569")
end

				last_token := E_UNKNOWN
			
end
else
yy_set_line_column
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end
last_token := yyError_token
fatal_error ("scanner jammed")
end
end
end
end
end
end
		end

	yy_execute_eof_action (yy_sc: INTEGER) is
			-- Execute EOF semantic action.
		do
			inspect yy_sc
when 0 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end
terminate
when 1 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- Syntax error: missing double quote at
					-- end of manifest string.
				column := yy_column
				line := yy_line
				error_handler.report_SSEQ_error (filename, current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 2 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- Syntax error: missing character % at beginning
					-- of line in multi-line manifest string.
				column := yy_column
				line := yy_line
				error_handler.report_SSNP_error (filename, current_position)
				column := ms_column
				line := ms_line

				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 3 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- Should never happen.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 4 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 5 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
when 6 then
--|#line 0 "et_eiffel_preparser.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'et_eiffel_preparser.l' at line 0")
end

					-- No final bracket-double-quote.
				last_token := E_STRERR
				set_start_condition (INITIAL)
			
			else
				terminate
			end
		end

feature {NONE} -- Table templates

	yy_nxt_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,   16,   17,   18,   17,   19,   20,   21,   16,   22,
			   19,   19,   23,   24,   25,   26,   27,   28,   29,   19,
			   30,   31,   32,   33,   34,   35,   36,   37,   33,   33,
			   38,   33,   33,   39,   33,   40,   41,   42,   33,   43,
			   44,   45,   46,   47,   48,   49,   33,   33,   19,   50,
			   19,   51,   32,   33,   34,   35,   37,   33,   39,   40,
			   33,   43,   44,   45,   46,   47,   53,   53,  378,   54,
			   54,   55,   55,   57,   58,   57,   57,   58,   57,   59,
			   73,   74,   59,   61,   62,   61,   61,   62,   61,   64,
			   65,   64,   64,   65,   64,   67,   68,   69,   86,   70,

			   67,   68,   69,   86,   70,   73,   74,   75,   75,   75,
			   75,   75,   75,   78,   85,   79,  104,   76,   83,   84,
			   76,   86,   86,   87,   87,   88,  105,   89,   90,   88,
			  485,   90,   90,   86,   86,   91,   86,   86,  137,   94,
			  138,  109,  125,   71,   95,  110,   96,  482,   71,   99,
			  123,   97,   98,  100,  116,   80,  101,  126,  111,  102,
			  117,  324,  103,   92,  106,   91,  107,   92,  129,   95,
			   96,  109,  123,   97,   98,  112,  108,   99,  100,  126,
			  111,  102,  113,  114,  103,  119,  127,  357,  115,  106,
			  107,  132,  129,  278,  130,  120,  128,  121,  134,  134,

			   75,  122,  154,  155,  112,  156,  279,  114,  131,  174,
			  115,  146,  147,  146,  127,  119,  357,  148,  128,  132,
			  120,  121,  317,  122,  130,  149,  150,  149,  151,  152,
			  151,  164,  165,  476,  135,  139,  140,  141,  142,  139,
			  143,  139,  143,  143,  143,  139,  139,  139,  144,  139,
			  139,  139,  143,  139,  143,  139,  143,  143,  143,  143,
			  139,  143,  139,  143,  139,  139,  139,  143,  139,  143,
			  139,  139,  143,  143,  143,  143,  143,  143,  139,  139,
			  139,  139,  139,  139,  139,  139,  145,  145,  145,  145,
			  145,  145,  145,  145,  145,  145,  145,  145,  145,  145,

			  157,  154,  158,  475,  156,  157,  160,  158,  473,  156,
			  154,  161,   78,  162,   79,  153,  166,  165,   75,   75,
			   75,  169,  170,  169,  472,   78,  188,   79,   76,  175,
			  175,  179,  179,   88,  186,  181,  182,  187,  183,  183,
			  176,  189,  180,   91,   88,  192,  182,  182,  159,  199,
			  190,  204,  193,  159,   80,  195,  188,  196,  198,  203,
			  367,  197,  187,  189,  200,  177,  201,   80,  217,  215,
			  202,   92,  190,   91,  184,  192,  193,  195,  471,  199,
			  198,  204,   92,  216,  203,  218,  200,  196,  213,  367,
			  197,  215,  202,  207,  229,  208,  469,  209,  217,  231,

			  214,  137,  227,  138,  235,  216,  228,  238,  210,  449,
			  137,  211,  138,  134,  134,  218,  229,  439,  213,  134,
			  134,  231,  437,  207,  208,  209,  235,  227,  436,  238,
			  210,  243,  243,  211,  220,  221,  434,  222,  232,  240,
			  241,  240,  244,  233,   79,  223,  164,  165,  224,  134,
			  225,  226,  166,  165,  234,  135,  240,  242,  240,  245,
			  245,  146,  147,  146,  220,  221,  222,  148,  232,  223,
			  224,  416,  225,  226,  251,  251,  234,  149,  150,  149,
			  151,  152,  151,  154,  155,   75,  156,  160,  155,  263,
			  156,  157,  154,  158,  174,  156,  157,  160,  158,  415,

			  156,  154,  161,  137,  162,  138,  153,  160,  161,  411,
			  162,  263,  153,  169,  170,  169,  246,   78,  261,   79,
			  248,  248,  247,  247,  249,  249,  252,  252,  250,  250,
			   88,  176,  257,  258,  260,  259,  259,  253,  265,  159,
			   91,  255,  255,  264,  159,  256,  256,   88,  261,  258,
			  258,  184,  184,  266,  267,  268,  177,  269,  260,   80,
			  265,  272,  254,  285,  273,  280,  276,  277,   92,  287,
			   91,  184,  293,  264,  296,  266,  297,  268,  274,  269,
			  302,  300,  304,  272,  267,   92,  307,  184,  276,  277,
			  280,  298,  291,  285,  273,  292,  310,  409,  297,  287,

			  408,  311,  293,  300,  296,  407,  304,  405,  307,  299,
			  302,  312,  312,  240,  241,  240,  313,  243,  243,  315,
			  315,  298,  291,  403,  292,  311,  310,  167,  245,  245,
			  176,  299,  314,  247,  247,  250,  250,  316,  316,  318,
			  318,  319,  319,  320,  320,  322,  322,  321,  321,  256,
			  256,  340,  253,  323,  323,  177,  325,  327,  257,  258,
			  325,  328,  258,  258,  326,  326,   91,  402,  332,  334,
			  337,  339,  352,  317,  353,  340,  362,  254,  400,  327,
			  341,  342,  344,  328,  349,  351,  354,  356,  358,  324,
			  332,  334,  337,  339,  184,  361,   91,  352,  184,  353,

			  184,  362,  341,  342,  344,  364,  349,  351,  354,  356,
			  358,  365,  368,  369,  370,  315,  315,  361,  136,  312,
			  312,  373,  373,  374,  374,  385,  372,  375,  375,  376,
			  376,  321,  321,  365,  368,  364,  377,  377,  369,  384,
			  253,  379,  379,  389,  370,  380,  380,  381,  381,  376,
			  376,  383,  386,  184,  184,  385,  390,  317,  387,  391,
			  382,  393,  388,  384,  394,  254,  395,  389,  401,  397,
			  396,  421,  378,  404,  386,  406,  414,  410,  390,  412,
			  413,  324,  399,  417,  419,  419,  394,  398,  391,   92,
			  395,  393,  396,  397,  392,  404,  177,  406,  401,  410,

			  371,  412,  413,  366,  418,  418,  414,  417,  419,  419,
			  420,  420,  376,  376,  423,  423,  424,  424,  425,  425,
			  317,  426,  426,  422,  427,  427,  428,  428,  430,  430,
			  426,  426,  432,  433,  435,  438,  440,  441,  442,  431,
			  443,  444,  445,  447,  446,  448,  450,  363,  451,  360,
			  378,  452,  419,  419,  432,  433,  435,  324,  440,  359,
			  442,  441,  443,  355,  445,  438,  446,  447,  450,  448,
			  459,  444,  451,  452,  419,  419,  453,  453,  454,  454,
			  456,  456,  455,  455,  457,  457,  457,  457,  458,  458,
			  426,  426,  460,  460,  464,  254,  426,  426,  461,  461,

			  462,  462,  465,  466,  463,  463,  467,  468,  474,  459,
			  350,  470,  455,  455,  477,  477,  464,  457,  457,  457,
			  457,  348,  378,  478,  478,  483,  465,  463,  463,  484,
			  425,  425,  468,  466,  254,  470,  467,  347,  474,  479,
			  479,  459,  346,  480,  480,  481,  481,  483,  453,  453,
			  317,  484,  480,  480,  486,  486,  460,  460,  478,  478,
			  345,  343,  338,  336,  335,  333,  254,  331,  330,  329,
			  309,  308,  306,  305,  303,  301,  295,  294,  290,  289,
			  288,  324,  286,  284,  317,  283,  282,  281,  275,  271,
			  378,  270,  324,  262,  378,   52,   52,   52,   52,   52,

			   52,   52,   52,   52,   52,   52,   52,   52,   52,   52,
			   52,   52,   52,   52,   52,   52,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
			   56,   56,   56,   56,   56,   56,   56,   60,   60,   60,
			   60,   60,   60,   60,   60,   60,   60,   60,   60,   60,
			   60,   60,   60,   60,   60,   60,   60,   60,   63,   63,
			   63,   63,   63,   63,   63,   63,   63,   63,   63,   63,
			   63,   63,   63,   63,   63,   63,   63,   63,   63,   66,
			   66,   66,   66,   66,   66,   66,   66,   66,   66,   66,
			   66,   66,   66,   66,   66,   66,   66,   66,   66,   66,

			   72,   72,   72,   72,   72,   72,   72,   72,   72,   72,
			   72,   72,   72,   72,   72,   72,   72,   72,   72,   72,
			   72,   77,   77,  246,   77,   77,   77,   77,   77,   77,
			   77,   77,   77,   77,   77,   77,   77,   77,   77,   77,
			   77,   77,   81,  239,  237,  236,  230,  219,   81,   81,
			   81,   81,   81,   81,   81,   81,   81,   81,   81,   81,
			   81,   81,   81,   82,   82,  212,   82,   82,   82,   82,
			   82,   82,   82,   82,   82,   82,   82,   82,   82,   82,
			   82,   82,   82,   82,   93,   93,  206,  205,   93,   93,
			   93,   93,   93,   93,   93,   93,  136,  136,  194,  136,

			  136,  136,  136,  136,  136,  136,  136,  136,  136,  136,
			  136,  136,  136,  136,  136,  136,  136,  153,  153,  153,
			  153,  153,  153,  153,  153,  153,  153,  153,  153,  153,
			  153,  153,  153,  153,  153,  153,  153,  153,  159,  159,
			  159,  159,  159,  159,  159,  159,  159,  159,  159,  159,
			  159,  159,  159,  159,  159,  159,  159,  159,  159,  163,
			  163,  163,  163,  163,  163,  163,  163,  163,  163,  163,
			  163,  163,  163,  163,  163,  163,  163,  163,  163,  163,
			  167,  167,  167,  167,  191,  185,  171,  167,  167,  167,
			  167,  167,  167,  167,  167,  167,  172,  172,  173,  172,

			  172,  172,  172,  172,  172,  172,  172,  172,  172,  172,
			  172,  172,  172,  172,  172,  172,  172,   85,   85,   85,
			   85,   85,   85,   85,   85,   85,   85,   85,   85,   85,
			   85,   85,   85,   85,   85,   85,   85,   85,  178,  178,
			  178,  178,  178,  178,  178,  178,  171,  178,  178,  178,
			  178,  178,  178,  178,  178,  178,  178,  178,  178,  136,
			  136,  136,  136,  168,   85,   86,  136,  136,  136,  136,
			  136,  136,  136,  136,  136,  167,  167,  133,  167,  167,
			  167,  167,  167,  167,  167,  167,  167,  167,  167,  167,
			  167,  167,  167,  167,  167,  167,  429,  429,  429,  429,

			  429,  429,  429,  429,  124,  429,  429,  429,  429,  429,
			  429,  429,  429,  429,  429,  429,  429,  118,   86,   86,
			  487,   15,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487, yy_Dummy>>)
		end

	yy_chk_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    3,    4,  478,    3,
			    4,    3,    4,    5,    5,    5,    6,    6,    6,    5,
			   13,   13,    6,    7,    7,    7,    8,    8,    8,    9,
			    9,    9,   10,   10,   10,   11,   11,   11,   25,   11,

			   12,   12,   12,   25,   12,   14,   14,   17,   17,   17,
			   18,   18,   18,   20,   23,   20,   35,   17,   22,   22,
			   18,   24,   23,   24,   24,   26,   35,   26,   26,   27,
			  474,   27,   27,   29,   29,   26,   30,   30,   52,   32,
			   52,   37,   44,   11,   32,   37,   32,  464,   12,   34,
			   42,   32,   32,   34,   39,   20,   34,   44,   37,   34,
			   39,  460,   34,   26,   36,   26,   36,   27,   46,   32,
			   32,   37,   42,   32,   32,   38,   36,   34,   34,   44,
			   37,   34,   38,   38,   34,   41,   45,  294,   38,   36,
			   36,   48,   46,  205,   47,   41,   45,   41,   51,   51,

			   85,   41,   66,   66,   38,   66,  205,   38,   47,   85,
			   38,   57,   57,   57,   45,   41,  294,   57,   45,   48,
			   41,   41,  453,   41,   47,   61,   61,   61,   64,   64,
			   64,   72,   72,  451,   51,   55,   55,   55,   55,   55,
			   55,   55,   55,   55,   55,   55,   55,   55,   55,   55,
			   55,   55,   55,   55,   55,   55,   55,   55,   55,   55,
			   55,   55,   55,   55,   55,   55,   55,   55,   55,   55,
			   55,   55,   55,   55,   55,   55,   55,   55,   55,   55,
			   55,   55,   55,   55,   55,   55,   55,   55,   55,   55,
			   55,   55,   55,   55,   55,   55,   55,   55,   55,   55,

			   67,   67,   67,  450,   67,   69,   69,   69,  447,   69,
			   71,   71,   77,   71,   77,   71,   74,   74,   75,   75,
			   75,   80,   80,   80,  446,   80,   96,   80,   75,   87,
			   87,   88,   88,   89,   95,   89,   89,   95,   92,   92,
			   87,   97,   88,   89,   90,  100,   90,   90,   67,  107,
			   98,  110,  101,   69,   77,  103,   96,  104,  106,  109,
			  306,  104,   95,   97,  107,   87,  108,   80,  120,  118,
			  108,   89,   98,   89,   92,  100,  101,  103,  445,  107,
			  106,  110,   90,  119,  109,  121,  107,  104,  117,  306,
			  104,  118,  108,  114,  126,  114,  441,  114,  120,  128,

			  117,  136,  125,  136,  130,  119,  125,  133,  114,  410,
			  143,  114,  143,  134,  134,  121,  126,  396,  117,  135,
			  135,  128,  393,  114,  114,  114,  130,  125,  390,  133,
			  114,  144,  144,  114,  124,  124,  388,  124,  129,  140,
			  140,  140,  167,  129,  167,  124,  163,  163,  124,  134,
			  124,  124,  165,  165,  129,  135,  142,  142,  142,  168,
			  168,  146,  146,  146,  124,  124,  124,  146,  129,  124,
			  124,  368,  124,  124,  177,  177,  129,  149,  149,  149,
			  151,  151,  151,  153,  153,  174,  153,  155,  155,  190,
			  155,  157,  157,  157,  174,  157,  158,  158,  158,  367,

			  158,  159,  159,  313,  159,  313,  159,  161,  161,  361,
			  161,  190,  161,  169,  169,  169,  173,  169,  186,  169,
			  175,  175,  173,  173,  176,  176,  179,  179,  176,  176,
			  181,  175,  181,  181,  185,  183,  183,  179,  192,  157,
			  181,  180,  180,  191,  158,  180,  180,  182,  186,  182,
			  182,  184,  184,  193,  194,  195,  175,  196,  185,  169,
			  192,  200,  179,  211,  201,  206,  203,  204,  181,  213,
			  181,  183,  220,  191,  223,  193,  224,  195,  201,  196,
			  228,  226,  230,  200,  194,  182,  233,  184,  203,  204,
			  206,  225,  219,  211,  201,  219,  236,  359,  224,  213,

			  358,  237,  220,  226,  223,  357,  230,  355,  233,  225,
			  228,  239,  239,  240,  240,  240,  243,  243,  243,  248,
			  248,  225,  219,  353,  219,  237,  236,  245,  245,  245,
			  248,  225,  247,  247,  247,  249,  249,  250,  250,  251,
			  251,  252,  252,  253,  253,  254,  254,  253,  253,  255,
			  255,  273,  252,  256,  256,  248,  257,  260,  257,  257,
			  258,  261,  258,  258,  259,  259,  257,  351,  265,  267,
			  270,  272,  287,  250,  289,  273,  299,  252,  349,  260,
			  274,  275,  277,  261,  283,  285,  291,  293,  295,  256,
			  265,  267,  270,  272,  257,  298,  257,  287,  258,  289,

			  259,  299,  274,  275,  277,  301,  283,  285,  291,  293,
			  295,  302,  307,  308,  309,  315,  315,  298,  312,  312,
			  312,  316,  316,  317,  317,  330,  315,  318,  318,  319,
			  319,  320,  320,  302,  307,  301,  321,  321,  308,  329,
			  319,  322,  322,  335,  309,  323,  323,  324,  324,  325,
			  325,  326,  333,  326,  326,  330,  337,  316,  334,  338,
			  325,  340,  334,  329,  341,  319,  342,  335,  350,  345,
			  344,  375,  321,  354,  333,  356,  365,  360,  337,  362,
			  364,  323,  347,  370,  373,  373,  341,  346,  338,  326,
			  342,  340,  344,  345,  339,  354,  375,  356,  350,  360,

			  314,  362,  364,  303,  372,  372,  365,  370,  372,  372,
			  374,  374,  376,  376,  377,  377,  378,  378,  379,  379,
			  373,  380,  380,  376,  381,  381,  382,  382,  383,  383,
			  382,  382,  385,  386,  389,  395,  398,  399,  400,  383,
			  401,  402,  403,  407,  404,  408,  414,  300,  415,  297,
			  377,  417,  418,  418,  385,  386,  389,  380,  398,  296,
			  400,  399,  401,  292,  403,  395,  404,  407,  414,  408,
			  425,  402,  415,  417,  419,  419,  420,  420,  421,  421,
			  422,  422,  421,  421,  422,  422,  423,  423,  424,  424,
			  426,  426,  427,  427,  432,  425,  428,  428,  430,  430,

			  431,  431,  434,  436,  431,  431,  437,  438,  448,  430,
			  284,  444,  454,  454,  455,  455,  432,  456,  456,  457,
			  457,  282,  423,  458,  458,  470,  434,  462,  462,  472,
			  461,  461,  438,  436,  430,  444,  437,  281,  448,  459,
			  459,  461,  280,  459,  459,  463,  463,  470,  477,  477,
			  455,  472,  479,  479,  480,  480,  481,  481,  486,  486,
			  279,  276,  271,  269,  268,  266,  461,  264,  263,  262,
			  235,  234,  232,  231,  229,  227,  222,  221,  218,  216,
			  214,  463,  212,  210,  477,  209,  208,  207,  202,  198,
			  480,  197,  481,  189,  486,  488,  488,  488,  488,  488,

			  488,  488,  488,  488,  488,  488,  488,  488,  488,  488,
			  488,  488,  488,  488,  488,  488,  489,  489,  489,  489,
			  489,  489,  489,  489,  489,  489,  489,  489,  489,  489,
			  489,  489,  489,  489,  489,  489,  489,  490,  490,  490,
			  490,  490,  490,  490,  490,  490,  490,  490,  490,  490,
			  490,  490,  490,  490,  490,  490,  490,  490,  491,  491,
			  491,  491,  491,  491,  491,  491,  491,  491,  491,  491,
			  491,  491,  491,  491,  491,  491,  491,  491,  491,  492,
			  492,  492,  492,  492,  492,  492,  492,  492,  492,  492,
			  492,  492,  492,  492,  492,  492,  492,  492,  492,  492,

			  493,  493,  493,  493,  493,  493,  493,  493,  493,  493,
			  493,  493,  493,  493,  493,  493,  493,  493,  493,  493,
			  493,  494,  494,  172,  494,  494,  494,  494,  494,  494,
			  494,  494,  494,  494,  494,  494,  494,  494,  494,  494,
			  494,  494,  495,  138,  132,  131,  127,  123,  495,  495,
			  495,  495,  495,  495,  495,  495,  495,  495,  495,  495,
			  495,  495,  495,  496,  496,  116,  496,  496,  496,  496,
			  496,  496,  496,  496,  496,  496,  496,  496,  496,  496,
			  496,  496,  496,  496,  497,  497,  113,  111,  497,  497,
			  497,  497,  497,  497,  497,  497,  498,  498,  102,  498,

			  498,  498,  498,  498,  498,  498,  498,  498,  498,  498,
			  498,  498,  498,  498,  498,  498,  498,  499,  499,  499,
			  499,  499,  499,  499,  499,  499,  499,  499,  499,  499,
			  499,  499,  499,  499,  499,  499,  499,  499,  500,  500,
			  500,  500,  500,  500,  500,  500,  500,  500,  500,  500,
			  500,  500,  500,  500,  500,  500,  500,  500,  500,  501,
			  501,  501,  501,  501,  501,  501,  501,  501,  501,  501,
			  501,  501,  501,  501,  501,  501,  501,  501,  501,  501,
			  502,  502,  502,  502,   99,   94,   84,  502,  502,  502,
			  502,  502,  502,  502,  502,  502,  503,  503,   83,  503,

			  503,  503,  503,  503,  503,  503,  503,  503,  503,  503,
			  503,  503,  503,  503,  503,  503,  503,  504,  504,  504,
			  504,  504,  504,  504,  504,  504,  504,  504,  504,  504,
			  504,  504,  504,  504,  504,  504,  504,  504,  505,  505,
			  505,  505,  505,  505,  505,  505,   82,  505,  505,  505,
			  505,  505,  505,  505,  505,  505,  505,  505,  505,  506,
			  506,  506,  506,   79,   76,   50,  506,  506,  506,  506,
			  506,  506,  506,  506,  506,  507,  507,   49,  507,  507,
			  507,  507,  507,  507,  507,  507,  507,  507,  507,  507,
			  507,  507,  507,  507,  507,  507,  508,  508,  508,  508,

			  508,  508,  508,  508,   43,  508,  508,  508,  508,  508,
			  508,  508,  508,  508,  508,  508,  508,   40,   31,   28,
			   15,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487, yy_Dummy>>)
		end

	yy_base_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,    0,    0,   63,   64,   71,   74,   81,   84,   87,
			   90,   93,   98,   77,  102, 1420, 1421,  105,  108, 1421,
			  107,    0,  110,  102,  108,   84,  112,  116, 1400,  115,
			  117, 1399,  111,    0,  120,   90,  131,  119,  148,  124,
			 1381,  162,  111, 1378,  116,  157,  133,  172,  162, 1341,
			 1316,  183,  132, 1421, 1421,  234, 1421,  209, 1421, 1421,
			 1421,  223, 1421, 1421,  226, 1421,  199,  298, 1421,  303,
			 1421,  307,  228, 1421,  313,  316, 1352,  306, 1421, 1349,
			  319,    0, 1337, 1284, 1277,  197, 1421,  314,  316,  320,
			  331, 1421,  323,    0, 1259,  304,  301,  301,  309, 1258,

			  323,  317, 1172,  316,  334,    0,  318,  324,  329,  326,
			  329, 1151,    0, 1149,  368,    0, 1133,  364,  328,  343,
			  343,  361,    0, 1121,  410,  369,  355, 1120,  357,  413,
			  365, 1115, 1118,  368,  398,  404,  395, 1421, 1129, 1421,
			  437, 1421,  454,  404,  416, 1421,  459, 1421, 1421,  475,
			 1421,  478, 1421,  480, 1421,  484, 1421,  489,  494,  498,
			 1421,  504, 1421,  443, 1421,  449, 1421,  436,  444,  511,
			 1421, 1421, 1114,  507,  482,  505,  513,  459, 1421,  511,
			  530,  517,  534,  520,  536,  499,  496,    0,    0,  963,
			  450,  519,  498,  510,  532,  516,  515,  965,  963,    0,

			  519,  542,  962,  526,  526,  159,  532,  961,  956,  959,
			  946,  541,  956,  547,  943,    0,  943,    0,  952,  568,
			  550,  951,  950,  552,  534,  567,  542,  949,  558,  944,
			  547,  947,  946,  548,  941,  940,  571,  566,    0,  596,
			  611, 1421, 1421,  602, 1421,  613, 1421,  618,  604,  620,
			  622,  624,  626,  632,  630,  634,  638,  643,  647,  649,
			  616,  621,  941,  938,  935,  628,  939,  628,  938,  935,
			  631,  932,  632,  616,  641,  642,  935,  640,    0,  934,
			  912,  892,  876,  645,  884,  646,    0,  639,    0,  641,
			    0,  644,  833,  647,  160,  649,  825,  819,  653,  643,

			  801,  681,  672,  766,    0,    0,  333,  670,  680,  692,
			    0,    0,  704,  497,  791,  700,  706,  708,  712,  714,
			  716,  721,  726,  730,  732,  734,  738,    0,    0,  704,
			  702,    0,    0,  713,  732,  708,    0,  717,  732,  768,
			  736,  723,  731,    0,  731,  734,  761,  752,    0,  648,
			  744,  637,    0,  597,  734,  562,  734,  575,  574,  571,
			  738,  483,  738,    0,  739,  754,    0,  469,  445,    0,
			  748, 1421,  793,  769,  795,  745,  797,  799,  801,  803,
			  806,  809,  815,  813,    0,  790,  792,    0,  400,  793,
			  402,    0,    0,  396,    0,  813,  391,    0,  796,  802,

			  797,  799,  819,  801,  804,    0,    0,  808,  810,    0,
			  383,    0,    0,    0,  805,  813,    0,  810,  837,  859,
			  861,  867,  869,  871,  873,  844,  875,  877,  881, 1421,
			  883,  889,  853,    0,  867,    0,  878,  881,  874,    0,
			    0,  368,    0,    0,  876,  352,  288,  282,  884,    0,
			  277,  207,    0,  171,  897,  899,  902,  904,  908,  928,
			  110,  915,  912,  930,  121,    0,    0,    0,    0,    0,
			  884,    0,  890,    0,  104,    0,    0,  933,   17,  937,
			  939,  941,    0,    0,    0,    0,  943, 1421,  994, 1015,
			 1036, 1057, 1078, 1099, 1120, 1141, 1162, 1174, 1195, 1216,

			 1237, 1258, 1275, 1295, 1316, 1337, 1354, 1374, 1395, yy_Dummy>>)
		end

	yy_def_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,  487,    1,  488,  488,  489,  489,  490,  490,  491,
			  491,  492,  492,  493,  493,  487,  487,  487,  487,  487,
			  494,  495,  496,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  487,  487,  498,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  499,  499,  487,  499,
			  487,  500,  501,  487,  501,  487,  487,  494,  487,  502,
			  494,  495,  487,  503,  487,  504,  487,  487,  505,  487,
			  487,  487,  487,  497,  497,  497,  497,  497,  497,  497,

			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  487,  487,  498,  487,  506,  487,
			  487,  487,  487,  498,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  499,  487,  499,  487,  499,  499,  500,
			  487,  500,  487,  501,  487,  501,  487,  507,  487,  494,
			  487,  487,  487,  487,  504,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,

			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,

			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  487,  498,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  487,  505,  487,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  508,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,

			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  487,  487,  487,  487,  487,  487,  487,
			  487,  487,  487,  487,  497,  497,  497,  497,  497,  497,
			  497,  497,  497,  497,  497,  497,  497,  487,  487,  487,
			  487,  487,  497,  497,  497,  497,  487,    0,  487,  487,
			  487,  487,  487,  487,  487,  487,  487,  487,  487,  487,

			  487,  487,  487,  487,  487,  487,  487,  487,  487, yy_Dummy>>)
		end

	yy_ec_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    1,    1,    1,    2,
			    3,    1,    1,    4,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    2,    5,    6,    7,    5,    8,    7,    9,
			   10,   10,    5,   11,    5,   12,   13,   14,   15,   15,
			   16,   16,   16,   16,   16,   16,   16,   16,   17,    5,
			   18,   19,   20,   21,    7,   22,   23,   24,   25,   26,
			   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,
			   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,
			   47,   48,   49,   50,    5,   51,    1,   52,   53,   54,

			   55,   26,   56,   28,   57,   30,   31,   32,   58,   34,
			   59,   36,   37,   60,   61,   62,   63,   64,   65,   44,
			   45,   46,   47,    5,    7,    5,    5,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1, yy_Dummy>>)
		end

	yy_meta_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,    1,    2,    3,    4,    1,    5,    1,    6,    7,
			    8,    1,    1,    9,    7,   10,   11,    1,   12,    1,
			   13,    1,   14,   14,   14,   15,   10,   16,   10,   17,
			   10,   10,   10,   18,   10,   19,   10,   10,   14,   14,
			   14,   14,   14,   20,   10,   10,   10,   21,    1,    1,
			    1,   10,   10,   10,   10,   10,   10,   10,   10,   10,
			   10,   10,   10,   10,   10,   10, yy_Dummy>>)
		end

	yy_accept_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    2,    3,    4,    5,    6,    8,   11,   13,
			   16,   19,   22,   25,   28,   31,   34,   38,   42,   45,
			   48,   51,   54,   57,   60,   63,   66,   69,   72,   75,
			   78,   81,   84,   87,   90,   93,   96,   99,  102,  105,
			  108,  110,  112,  114,  116,  118,  120,  122,  124,  126,
			  129,  131,  133,  135,  137,  139,  141,  143,  145,  147,
			  149,  151,  153,  155,  157,  159,  160,  160,  161,  163,
			  163,  165,  166,  167,  168,  170,  171,  172,  174,  174,
			  176,  178,  179,  180,  181,  182,  183,  184,  186,  187,

			  188,  189,  190,  191,  192,  193,  195,  196,  197,  198,
			  199,  200,  201,  203,  204,  205,  207,  208,  209,  210,
			  211,  212,  213,  215,  216,  217,  218,  219,  220,  221,
			  222,  223,  224,  225,  226,  228,  229,  230,  231,  231,
			  232,  233,  234,  235,  237,  239,  241,  241,  242,  243,
			  243,  244,  244,  245,  246,  247,  248,  249,  250,  251,
			  252,  254,  255,  257,  258,  259,  260,  262,  263,  263,
			  264,  265,  266,  267,  269,  270,  272,  272,  272,  273,
			  275,  276,  278,  280,  281,  282,  283,  284,  286,  288,
			  289,  290,  291,  292,  293,  294,  295,  296,  297,  298,

			  300,  301,  302,  303,  304,  305,  306,  307,  308,  309,
			  310,  311,  312,  313,  314,  315,  317,  318,  320,  321,
			  322,  323,  324,  325,  326,  327,  328,  329,  330,  331,
			  332,  333,  334,  335,  336,  337,  338,  339,  340,  342,
			  342,  342,  343,  345,  346,  347,  347,  348,  349,  351,
			  351,  353,  353,  355,  355,  355,  355,  357,  359,  361,
			  362,  363,  364,  365,  366,  367,  368,  369,  370,  371,
			  372,  373,  375,  376,  377,  378,  379,  380,  381,  383,
			  384,  385,  386,  387,  388,  389,  390,  392,  393,  395,
			  396,  398,  399,  400,  401,  402,  403,  404,  405,  406,

			  407,  408,  409,  410,  411,  413,  415,  416,  417,  418,
			  419,  421,  423,  423,  425,  426,  427,  429,  429,  429,
			  431,  431,  435,  435,  437,  437,  437,  439,  441,  443,
			  444,  445,  447,  449,  450,  451,  452,  454,  455,  456,
			  457,  458,  459,  460,  462,  463,  464,  465,  466,  468,
			  469,  470,  471,  473,  474,  475,  476,  477,  478,  479,
			  480,  481,  482,  483,  485,  486,  487,  489,  490,  491,
			  493,  494,  495,  495,  497,  497,  498,  499,  503,  503,
			  503,  505,  505,  506,  506,  508,  509,  510,  512,  513,
			  514,  515,  517,  519,  520,  522,  523,  524,  526,  527,

			  528,  529,  530,  531,  532,  533,  535,  537,  538,  539,
			  541,  542,  544,  546,  548,  549,  550,  552,  553,  553,
			  554,  554,  554,  554,  558,  558,  559,  560,  560,  560,
			  561,  562,  563,  564,  566,  567,  569,  570,  571,  572,
			  574,  576,  577,  579,  581,  582,  583,  584,  585,  586,
			  588,  589,  590,  592,  593,  593,  594,  594,  596,  596,
			  596,  597,  598,  598,  599,  600,  602,  604,  606,  608,
			  610,  611,  613,  614,  616,  617,  619,  621,  622,  624,
			  624,  626,  627,  629,  631,  633,  635,  637,  637, yy_Dummy>>)
		end

	yy_acclist_template: SPECIAL [INTEGER] is
		once
			Result := yy_fixed_array (<<
			    0,   86,   86,   89,   89,  121,  119,  120,    1,  119,
			  120,    1,  120,    2,  119,  120,   91,  119,  120,   70,
			  119,  120,   77,  119,  120,    2,  119,  120,    2,  119,
			  120,    2,  119,  120,  109,  112,  119,  120,  109,  112,
			  119,  120,    2,  119,  120,    2,  119,  120,    2,  119,
			  120,    2,  119,  120,   69,  119,  120,   69,  119,  120,
			   69,  119,  120,   69,  119,  120,   69,  119,  120,   69,
			  119,  120,   69,  119,  120,   69,  119,  120,   69,  119,
			  120,   69,  119,  120,   69,  119,  120,   69,  119,  120,
			   69,  119,  120,   69,  119,  120,   69,  119,  120,   69,

			  119,  120,   69,  119,  120,   69,  119,  120,  119,  120,
			  119,  120,   98,  120,  102,  120,   99,  120,  101,  120,
			  107,  120,  107,  120,  106,  120,  105,  107,  120,  104,
			  120,  104,  120,  103,  120,   81,  120,   81,  120,   80,
			  120,   86,  120,   86,  120,   85,  120,   86,  120,   83,
			  120,   86,  120,   89,  120,   88,  120,   89,  120,    1,
			   91,   78,   90,   91, -199,   70,   77,   77,   76,   77,
			    1,    3,  115,  118,  109,  112,  109,  112,  108,  112,
			   69,   69,   69,   69,    8,   69,   69,   69,   69,   69,
			   69,   69,   69,   14,   69,   69,   69,   69,   69,   69,

			   69,   26,   69,   69,   69,   33,   69,   69,   69,   69,
			   69,   69,   69,   41,   69,   69,   69,   69,   69,   69,
			   69,   69,   69,   69,   69,   69,  111,  112,  111,   98,
			   99,  100,  100,   92,  100,   98,  100,   96,  100,   97,
			  100,  106,  105,  103,   80,   86,   85,   86,   83,   86,
			   86,   86,   84,   85,   86,   82,   83,   89,   88,   89,
			   87,   88,   91,   91,  -79,   71,   77,   75,   77,    1,
			  115,  118,  113,  115,  118,  113,  109,  112,  109,  112,
			  112,  112,   69,   69,    6,   69,    7,   69,   69,   69,
			   69,   69,   69,   69,   69,   69,   69,   69,   17,   69,

			   69,   69,   69,   69,   69,   69,   69,   69,   69,   69,
			   69,   69,   69,   69,   69,   37,   69,   69,   39,   69,
			   69,   69,   69,   69,   69,   69,   69,   69,   69,   69,
			   69,   69,   69,   69,   69,   69,   69,   69,   69,   69,
			   60,   69,   93,   92,   93,   95,   90,   72,   74,  115,
			  118,  115,  118,  115,  118,  114,  117,  109,  112,  109,
			  112,  112,   69,   69,   69,   69,   69,   69,   69,   69,
			   69,   69,   69,   15,   69,   69,   69,   69,   69,   69,
			   69,   24,   69,   69,   69,   69,   69,   69,   69,   69,
			   34,   69,   69,   36,   69,   69,   40,   69,   69,   69,

			   69,   69,   69,   69,   69,   69,   69,   69,   69,   69,
			   69,   53,   69,   54,   69,   69,   69,   69,   69,   68,
			   69,   59,   69,   94,   98,   77,  115,  115,  118,  115,
			  118,  114,  115,  117,  118,  114,  117,  110,  112,    4,
			   69,    5,   69,   69,   69,    9,   69,   61,   69,   69,
			   69,   69,   12,   69,   69,   69,   69,   69,   69,   69,
			   22,   69,   69,   69,   69,   69,   29,   69,   69,   69,
			   69,   35,   69,   69,   69,   69,   69,   69,   69,   69,
			   69,   69,   69,   49,   69,   69,   69,   52,   69,   69,
			   69,   57,   69,   69,   73,  115,  118,  118,  115,  114,

			  115,  117,  118,  114,  117,  113,   62,   69,   69,   69,
			   65,   69,   69,   69,   69,   16,   69,   18,   69,   69,
			   20,   69,   69,   69,   25,   69,   69,   69,   69,   69,
			   69,   69,   69,   43,   69,   66,   69,   69,   69,   45,
			   69,   69,   47,   69,   48,   69,   50,   69,   69,   69,
			   56,   69,   69,  115,  114,  115,  117,  118,  118,  114,
			  116,  118,  116,   69,   64,   69,   69,   11,   69,   69,
			   69,   69,   23,   69,   27,   69,   69,   30,   69,   31,
			   69,   69,   69,   69,   69,   69,   46,   69,   69,   69,
			   58,   69,  118,  118,  114,  115,  117,  118,  117,   69,

			   10,   69,   13,   69,   19,   69,   21,   69,   28,   69,
			   69,   38,   69,   69,   44,   69,   69,   51,   69,   55,
			   69,  118,  117,  118,  117,  118,  117,   63,   69,   32,
			   69,   42,   69,   67,   69,  117,  118, yy_Dummy>>)
		end

feature {NONE} -- Constants

	yyJam_base: INTEGER is 1421
			-- Position in `yy_nxt'/`yy_chk' tables
			-- where default jam table starts

	yyJam_state: INTEGER is 487
			-- State id corresponding to jam state

	yyTemplate_mark: INTEGER is 488
			-- Mark between normal states and templates

	yyNull_equiv_class: INTEGER is 1
			-- Equivalence code for NULL character

	yyReject_used: BOOLEAN is false
			-- Is `reject' called?

	yyVariable_trail_context: BOOLEAN is true
			-- Is there a regular expression with
			-- both leading and trailing parts having
			-- variable length?

	yyReject_or_variable_trail_context: BOOLEAN is true
			-- Is `reject' called or is there a
			-- regular expression with both leading
			-- and trailing parts having variable length?

	yyNb_rules: INTEGER is 120
			-- Number of rules

	yyEnd_of_buffer: INTEGER is 121
			-- End of buffer rule code

	yyLine_used: BOOLEAN is true
			-- Are line and column numbers used?

	yyPosition_used: BOOLEAN is false
			-- Is `position' used?

	INITIAL: INTEGER is 0
	MS: INTEGER is 1
	MSN: INTEGER is 2
	MSN1: INTEGER is 3
	VS1: INTEGER is 4
	VS2: INTEGER is 5
	VS3: INTEGER is 6
			-- Start condition codes

feature -- User-defined features



end
